View Issue Details

IDProjectCategoryView StatusLast Update
0000111SOGoBackend Calendarpublic2009-10-21 20:50
ReporterkLy Assigned Toludovic  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.0.4 
Target Version1.1.0Fixed in Version1.1.0 
Summary0000111: Sogo does not work with iCal 4.0
Description

Error message is: "http://xxx/xx is not a location that supports this request"

Tested with iCal 4.0 (1362) on Mac OS X 10.6 build 10A432

Additional Information

Error is below (with URLs removed)

2009/08/20 17:28 iCal[357] CalDAV CalDAVAccountRefreshQueueableOperation failed: status 'HTTP/1.1 405 Method Not Allowed' request:

<?xml version="1.0" encoding="utf-8"?>
<x0:propfind xmlns:x0="DAV:">
<x0:prop>
<x0:getetag/>
<x0:resourcetype/>
</x0:prop>
</x0:propfind>

... response:
HTTP/1.1 405 Method Not Allowed
Date: Thu, 20 Aug 2009 15:28:24 GMT
Server: Apache/2.2.3 (Red Hat)
Allow: GET,HEAD,POST,OPTIONS,TRACE
Content-Length: 360
Connection: close
Content-Type: text/html; charset=iso-8859-1

<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN">
<html><head>
<title>405 Method Not Allowed</title>
</head><body>
<h1>Method Not Allowed</h1>
<p>The requested method PROPFIND is not allowed for the URL XXX.</p>
<hr>
<address>Apache/2.2.3 (Red Hat) Server at XXX Port 443</address>
</body></html>

TagsNo tags attached.

Activities

wsourdeau

wsourdeau

2009-08-20 11:36

viewer   ~0000094

It would help to know the URL you are using. I have never seen that code anywhere so I suspect the problem is rather caused by a misconfiguration of your webserver.

kLy

kLy

2009-08-20 11:44

reporter   ~0000095

It's an internal server so you won't be able to access it. Our admin says that he simply used the Apache configs provided by sogo.

As an additional note our sogo setup does work with iCal 3.0 and the Thunderbird/Lightning and Outlook plugins, just not with iCal 4.0 at the moment.

kLy

kLy

2009-08-20 11:46

reporter   ~0000096

btw the error in "additional information" is the one provided by my iCal client.

perk

perk

2009-08-20 12:02

reporter   ~0000097

here is the SOGo.conf we use:

Alias /sogo.woa/WebServerResources/ \
/usr/GNUstep/System/Library/SOGo/WebServerResources/
Alias /SOGo.woa/WebServerResources/ \
/usr/GNUstep/System/Library/SOGo/WebServerResources/
Alias /SOGO.woa/WebServerResources/ \
/usr/GNUstep/System/Library/SOGo/WebServerResources/

<LocationMatch "^/SOGo/so/ControlPanel/Products/.UI/Resources/.jpg">
SetHandler default-handler
</LocationMatch>

<LocationMatch "^/SOGo/so/ControlPanel/Products/.UI/Resources/.png">
SetHandler default-handler
</LocationMatch>

<LocationMatch "^/SOGo/so/ControlPanel/Products/.UI/Resources/.gif">
SetHandler default-handler
</LocationMatch>

<LocationMatch "^/SOGo/so/ControlPanel/Products/.UI/Resources/.css">
SetHandler default-handler
</LocationMatch>

<LocationMatch "^/SOGo/so/ControlPanel/Products/.UI/Resources/.js">
SetHandler default-handler
</LocationMatch>

AliasMatch /SOGo/so/ControlPanel/Products/(.)/Resources/(.) \
/usr/GNUstep/System/Library/SOGo/$1.SOGo/Resources/$2

<Proxy balancer://sogocluster>
BalancerMember http://127.0.0.1:20000 retry=1 max=1 timeout=120
ProxySet lbmethod=byrequests maxattempts=1
</Proxy>

SetEnv proxy-nokeepalive 1
ProxyRequests Off
ProxyPass /SOGo balancer://sogocluster/SOGo

perk

perk

2009-08-20 12:05

reporter   ~0000098

And our .GNUstepDefaults
{
NSGlobalDomain = {
};
gdnc = {
};
sogod = {
NGUseUTF8AsURLEncoding = YES;
OCSFolderInfoURL = "postgresql://asif:asif@localhost:5432/sogo/sogo_folder_info";
SOGoACLsSendEMailNotifications = YES;
SOGoAppointmentSendEMailNotifications = YES;
SOGoAuthenticationMethod = LDAP;
SOGoDefaultLanguage = English;
SOGoDefaultMailDomain = <FQDN>;
SOGoDraftsFolderName = Drafts;
SOGoFallbackIMAP4Server = <MAIL FQDN>;
SOGoFoldersSendEMailNotifications = YES;
SOGoLDAPSources = ( <removed this> );
SOGoMailingMechanism = smtp;
SOGoOtherUsersFolderName = "Other Users";
SOGoProfileURL = "postgresql://asif:asif@localhost:5432/sogo/sogo_user_profile";
SOGoSMTPServer = <MAIL FQDN>;
SOGoSentFolderName = Sent;
SOGoServerTimeZone = Europe/Oslo;
SOGoSharedFolderName = "Shared Folders";
SOGoSuperUsernames = <BOHF>;
SOGoTrashFolderName = Trash;
SxVMemLimit = 1024;
WOApplicationRedirectURL = "http://&lt;FQDN>&quot;;
WOMessageUseUTF8 = YES;
WOParsersUseUTF8 = YES;
WOPort = 20000;
WOUseRelativeURLs = NO;
};
}

perk

perk

2009-08-20 12:08

reporter   ~0000099

And the output of a session for the user:
==> /var/log/httpd/error_log <==
[Thu Aug 20 18:06:41 2009] [debug] mod_proxy_balancer.c(46): proxy: BALANCER: canonicalising URL //sogocluster/SOGo/dav/<user>/Calendar/
[Thu Aug 20 18:06:41 2009] [debug] mod_proxy_balancer.c(952): proxy: Entering byrequests for BALANCER (balancer://sogocluster)
[Thu Aug 20 18:06:41 2009] [debug] mod_proxy_balancer.c(535): proxy: BALANCER (balancer://sogocluster) worker (http://127.0.0.1:20000) rewritten to http://127.0.0.1:20000/SOGo/dav/&lt;user>/Calendar/
[Thu Aug 20 18:06:41 2009] [debug] mod_proxy.c(966): Running scheme balancer handler (attempt 0)
[Thu Aug 20 18:06:41 2009] [debug] mod_proxy_http.c(1960): proxy: HTTP: serving URL http://127.0.0.1:20000/SOGo/dav/&lt;user>/Calendar/
[Thu Aug 20 18:06:41 2009] [debug] proxy_util.c(2044): proxy: HTTP: has acquired connection for (127.0.0.1)
[Thu Aug 20 18:06:41 2009] [debug] proxy_util.c(2102): proxy: connecting http://127.0.0.1:20000/SOGo/dav/&lt;user>/Calendar/ to 127.0.0.1:20000
[Thu Aug 20 18:06:41 2009] [debug] proxy_util.c(2195): proxy: connected /SOGo/dav/<user>/Calendar/ to 127.0.0.1:20000
[Thu Aug 20 18:06:41 2009] [debug] proxy_util.c(2347): proxy: HTTP: fam 2 socket created to connect to 127.0.0.1
[Thu Aug 20 18:06:41 2009] [debug] proxy_util.c(2448): proxy: HTTP: connection complete to 127.0.0.1:20000 (127.0.0.1)
[Thu Aug 20 18:06:41 2009] [debug] mod_proxy_http.c(1737): proxy: start body send
[Thu Aug 20 18:06:41 2009] [debug] mod_proxy_http.c(1826): proxy: end body send
[Thu Aug 20 18:06:41 2009] [debug] proxy_util.c(2062): proxy: HTTP: has released connection for (127.0.0.1)
[Thu Aug 20 18:06:41 2009] [debug] mod_proxy_balancer.c(46): proxy: BALANCER: canonicalising URL //sogocluster/SOGo/dav/<user>/Calendar/personal/
[Thu Aug 20 18:06:41 2009] [debug] mod_proxy_balancer.c(952): proxy: Entering byrequests for BALANCER (balancer://sogocluster)
[Thu Aug 20 18:06:41 2009] [debug] mod_proxy_balancer.c(535): proxy: BALANCER (balancer://sogocluster) worker (http://127.0.0.1:20000) rewritten to http://127.0.0.1:20000/SOGo/dav/&lt;user>/Calendar/personal/
[Thu Aug 20 18:06:41 2009] [debug] mod_proxy.c(966): Running scheme balancer handler (attempt 0)
[Thu Aug 20 18:06:41 2009] [debug] mod_proxy_http.c(1960): proxy: HTTP: serving URL http://127.0.0.1:20000/SOGo/dav/&lt;user>/Calendar/personal/
[Thu Aug 20 18:06:41 2009] [debug] proxy_util.c(2044): proxy: HTTP: has acquired connection for (127.0.0.1)
[Thu Aug 20 18:06:41 2009] [debug] proxy_util.c(2102): proxy: connecting http://127.0.0.1:20000/SOGo/dav/&lt;user>/Calendar/personal/ to 127.0.0.1:20000
[Thu Aug 20 18:06:41 2009] [debug] proxy_util.c(2195): proxy: connected /SOGo/dav/<user>/Calendar/personal/ to 127.0.0.1:20000
[Thu Aug 20 18:06:41 2009] [debug] proxy_util.c(2347): proxy: HTTP: fam 2 socket created to connect to 127.0.0.1
[Thu Aug 20 18:06:41 2009] [debug] proxy_util.c(2448): proxy: HTTP: connection complete to 127.0.0.1:20000 (127.0.0.1)
[Thu Aug 20 18:06:41 2009] [debug] mod_proxy_http.c(1737): proxy: start body send
[Thu Aug 20 18:06:41 2009] [debug] mod_proxy_http.c(1826): proxy: end body send
[Thu Aug 20 18:06:41 2009] [debug] proxy_util.c(2062): proxy: HTTP: has released connection for (127.0.0.1)

==> /var/log/sogo/sogod-20000.log <==
localhost.localdomain - - [20/Aug/2009:18:06:41 GMT] "PROPFIND /SOGo/dav/<user>/Calendar/ HTTP/1.1" 207 3821/653 0.027 - - 0
localhost.localdomain - - [20/Aug/2009:18:06:41 GMT] "PROPFIND /SOGo/dav/<user>/Calendar/personal/ HTTP/1.1" 207 648/184 0.005 - - 0

ludovic

ludovic

2009-10-15 22:52

administrator   ~0000177

Can you retry with the upcoming nightly build (one available in the next couple of hours)?

perk

perk

2009-10-16 09:54

reporter   ~0000181

installed and poked user :D

perk

perk

2009-10-16 10:03

reporter   ~0000182

I notice this in the log whenever user is doing a POST:

127.0.0.1 - - [16/Oct/2009:16:00:20 GMT] "POST /SOGo/so/quintinp/Calendar/weekview?day=20091016 HTTP/1.1" 200 1825/0 0.017 21036 91% 0
2009-10-16 16:00:20.537 sogod[25147] WARNING(-[NSNull(misc) length]): called NSNull -length (returns 0) !!!
2009-10-16 16:00:20.537 sogod[25147] WARNING(-[NSNull(misc) length]): called NSNull -length (returns 0) !!!
127.0.0.1 - - [16/Oct/2009:16:00:20 GMT] "POST /SOGo/so/quintinp/Calendar/eventsblocks?sd=20091012&ed=20091018&view=weekview HTTP/1.1" 200 504/0 0.006 - - 0
2009-10-16 16:00:20.537 sogod[25147] WARNING(-[NSNull(misc) length]): called NSNull -length (returns 0) !!!
2009-10-16 16:00:20.537 sogod[25147] WARNING(-[NSNull(misc) length]): called NSNull -length (returns 0) !!!

ludovic

ludovic

2009-10-16 10:11

administrator   ~0000183

Those are harmless. So, is it working?

kLy

kLy

2009-10-16 10:16

reporter   ~0000184

I can write to the calendar but I can't read from it.

Every time I try read from it (right click -> refresh), I get the error in the original post.

What's worse, every time it tries to do a "read", it seems like the calendar gets wiped.

ludovic

ludovic

2009-10-21 20:50

administrator   ~0000241

Fixed with http://mtn.inverse.ca/revision/diff/ffb403989e64c7ca37321c15ab24b50155dc2f68/with/fe50cf1e82dc1e3027fc400eb2f405261b9ad9f3

There might be a problem with delegation. If so, file a new ticket.

Issue History

Date Modified Username Field Change
2009-08-20 11:31 kLy New Issue
2009-08-20 11:36 wsourdeau Note Added: 0000094
2009-08-20 11:44 kLy Note Added: 0000095
2009-08-20 11:46 kLy Note Added: 0000096
2009-08-20 12:02 perk Note Added: 0000097
2009-08-20 12:05 perk Note Added: 0000098
2009-08-20 12:08 perk Note Added: 0000099
2009-10-09 13:36 ludovic Fixed in Version => 1.1.0
2009-10-09 13:51 ludovic Fixed in Version 1.1.0 =>
2009-10-09 13:51 ludovic Target Version => 1.1.0
2009-10-15 22:52 ludovic Note Added: 0000177
2009-10-16 09:54 perk Note Added: 0000181
2009-10-16 10:03 perk Note Added: 0000182
2009-10-16 10:11 ludovic Note Added: 0000183
2009-10-16 10:16 kLy Note Added: 0000184
2009-10-21 20:50 ludovic Note Added: 0000241
2009-10-21 20:50 ludovic Status new => resolved
2009-10-21 20:50 ludovic Fixed in Version => 1.1.0
2009-10-21 20:50 ludovic Resolution open => fixed
2009-10-21 20:50 ludovic Assigned To => ludovic